{% extends 'accueil/index.html.twig' %}

{% block body %}
    <style>
        #map {
            height: 50%;
        }
    </style>
    <!-- ##### Breadcumb Area Start ##### -->
    <section class="breadcumb-area bg-img" style="background-image: url({{ asset('accueil/img/bg-img/hero1.jpg') }});">
        <div class="container h-100">
            <div class="row h-100 align-items-center">
                <div class="col-12">
                    <div class="breadcumb-content">
                        <h3 class="breadcumb-title">Recherche </h3>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- ##### Advance Search Area Start ##### -->

    <!-- ##### Advance Search Area End ##### -->

    <!-- ##### Listing Content Wrapper Area Start ##### -->
    <section class="featured-properties-area section-padding-100-50">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="section-heading wow fadeInUp">
                        <h2>Recherche Avancée</h2>
                        <div class="row">
                            <div class="col-12">
                                <div class="listings-maps mt-100">
                                    <div id="googleMap"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                {% for a in result %}
                    <!-- Single Featured Property -->
                    <div class="col-12 col-md-6 col-xl-4">
                        <div class="single-featured-property mb-50 wow fadeInUp" data-wow-delay="100ms">
                            <!-- Property Thumbnail -->
                            <div class="property-thumb">
                                <img src="{{ asset('accueil/img/bg-img/feature1.jpg') }}" alt="">

                                <div class="tag">
                                    <a href="{{ path('afficher_resultat_app',{'id':a.id} ) }}"><span>Lire la Suite</span></a>
                                </div>


                                <div class="list-price">
                                    <p>{{ a.prix }} Dt</p>
                                </div>
                            </div>
                            <!-- Property Content -->
                            <div class="property-content">
                                <h5>{{ a.nature }}</h5>
                                <p class="location"><img src="{{ asset('accueil/img/icons/location.png') }}"
                                                         alt="">{{ a.ville }}</p>

                                <div class="property-meta-data d-flex align-items-end justify-content-between">
                                    <div class="new-tag">
                                        <img src="{{ asset('accueil/img/icons/new.png') }}" alt="">
                                    </div>

                                    <div class="garage">
                                        <img src="{{ asset('accueil/img/icons/garage.png') }}" alt="">

                                    </div>
                                    <div class="space">
                                        <img src="{{ asset('accueil/img/icons/space.png') }}" alt="">
                                        <span>{{ a.surface }} m²</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% else %}
                    pas de result
                {% endfor %}

            </div>
        </div>
    </section>
    <!-- ##### Listing Content Wrapper Area End ##### -->

    <script>
        var mapD = {{ map|json_encode|raw }};
        console.log(mapD);

        var locations = new Array();

        mapD.forEach(function (element) {
            locations.push([element['prix'],element['latitude'],element['longitude'],element['idAnnonce']]);
        });
        console.log(locations);
        /*var locations = [
            ['loan 1', 35.804280826711, 10.62133487796, 'address 1'],
            ['loan 2', 35.744280826711, 10.732133487796, 'address 2']
        ];*/

        function initMap() {
            var myLatLng = {lat: 35.744280826711, lng: 10.732133487796};

            var map = new google.maps.Map(document.getElementById('googleMap'), {
                zoom: 12,
                center: myLatLng,
                mapTypeId: google.maps.MapTypeId.ROADMAP

            });

            setMarkers(map, locations)
        }

        function setMarkers(map, locations) {

            var marker, i

            for (i = 0; i < locations.length; i++) {

                var prix = locations[i][0]
                var lat = locations[i][1]
                var long = locations[i][2]
                var idAnnonce = locations[i][3]

                latlngset = new google.maps.LatLng(lat, long);

                var marker = new google.maps.Marker({
                    map: map, title: prix, position: latlngset
                });
                map.setCenter(marker.getPosition())

                var content = '<label>Prix DT: ' + prix + "&nbsp;"+ 'DT'+ '</label><br><a href="http://agence.front/index.php/annonce/one/'+ idAnnonce +
                    '">Voir détails</a>';
                var infowindow = new google.maps.InfoWindow()

                google.maps.event.addListener(marker,'click', (function(marker,content,infowindow){
                    return function() {
                        infowindow.setContent(content);
                        infowindow.open(map,marker);
                    };
                })(marker,content,infowindow));
            }

        }

    </script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDRqhJr6geFoARFVIMhljeyZyKZ5JkHWGE&callback=initMap"
            async defer></script>
{% endblock %}